getaddrinfo_arg Struct Reference

## Data Fields

const char * | node
const char * | service
struct addrinfo * | hints
struct addrinfo ** | res

## Detailed Description

Definition at line 149 of file raddrinfo.c.

## Field Documentation

struct addrinfo* getaddrinfo_arg::hints

Definition at line 153 of file raddrinfo.c.

Referenced by nogvl_getaddrinfo(), and rb_getaddrinfo().

const char* getaddrinfo_arg::node

Definition at line 151 of file raddrinfo.c.

Referenced by nogvl_getaddrinfo(), and rb_getaddrinfo().

struct addrinfo** getaddrinfo_arg::res

Definition at line 154 of file raddrinfo.c.

Referenced by nogvl_getaddrinfo(), and rb_getaddrinfo().

const char* getaddrinfo_arg::service

Definition at line 152 of file raddrinfo.c.

Referenced by nogvl_getaddrinfo(), and rb_getaddrinfo().

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c